# -*- coding: utf-8 -*-
# Generated by Django 1.11.15 on 2018-10-25 20:18
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import riverstreet.configuration.models


class Migration(migrations.Migration):

    dependencies = [
        ('configuration', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='SocialMedia',
            fields=[
                ('configsettinggroup_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='configuration.ConfigSettingGroup')),
                ('youtube_link', riverstreet.configuration.models.CharSetting(blank=True, max_length=512)),
                ('facebook_link', riverstreet.configuration.models.CharSetting(blank=True, max_length=512)),
                ('instagram_link', riverstreet.configuration.models.CharSetting(blank=True, max_length=512)),
                ('twitter_link', riverstreet.configuration.models.CharSetting(blank=True, max_length=512)),
            ],
            options={
                'verbose_name': 'Social Media',
                'manager_inheritance_from_future': True,
                'verbose_name_plural': 'Social Media',
            },
            bases=('configuration.configsettinggroup',),
        ),
    ]
